Bug 1130750

Summary: SELinux is preventing /usr/lib64/tumbler-1/tumblerd from 'write' accesses on the file .
Product: [Fedora] Fedora Reporter: Vin Amiot <vin.amiot>
Component: tumblerAssignee: Christoph Wickert <cwickert>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: cwickert, dominick.grift, dwalsh, kevin, lvrabec, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:382f2126d3cccc0aab541549e75c4552ee6ab54ed276c6ca2c55aa39354f6126
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 22:06:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Vin Amiot 2014-08-17 10:44:52 UTC
Description of problem:
SELinux is preventing /usr/lib64/tumbler-1/tumblerd from 'write' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that tumblerd should be allowed write access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep tumblerd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                 [ file ]
Source                        tumblerd
Source Path                   /usr/lib64/tumbler-1/tumblerd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           tumbler-0.1.30-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.10-200.fc20.x86_64 #1 SMP Thu
                              Aug 14 15:39:24 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-08-17 03:40:19 PDT
Last Seen                     2014-08-17 03:40:19 PDT
Local ID                      4fe17434-1e54-4a35-a969-3b6886afc68b

Raw Audit Messages
type=AVC msg=audit(1408272019.885:373): avc:  denied  { write } for  pid=2410 comm="tumblerd" name="prl_vtg" dev="proc" ino=4026532211 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=file


type=SYSCALL msg=audit(1408272019.885:373): arch=x86_64 syscall=open success=no exit=EACCES a0=7ffff74ebbea a1=1 a2=7ffff7715328 a3=7fffffffdf00 items=0 ppid=2409 pid=2410 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=tumblerd exe=/usr/lib64/tumbler-1/tumblerd subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: tumblerd,thumb_t,proc_t,file,write

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.10-200.fc20.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-08-18 12:54:33 UTC
Why does tumblerd need to write it?

Comment 2 Christoph Wickert 2014-08-18 13:16:05 UTC
Write to what?

Comment 3 Daniel Walsh 2014-08-19 20:27:40 UTC
It is trying to write to prl_vtg under /proc


find /proc/ -name prl_vtg

Comment 4 Kevin Fenzi 2014-08-19 22:42:45 UTC
From a quick googling around, this has something to do with the 'parallels' virtual application?

Comment 5 Daniel Walsh 2014-08-31 11:55:59 UTC
Then is this expected behaviour?

Comment 6 Fedora End Of Life 2015-05-29 12:39:17 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-29 22:06:15 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.